Subject: Re: [PATCH 10/17] bootwrapper: Add dt_set_mac_addresses().

From: Timur Tabi <[email-masked]>
Date: Wed, 21 Mar 2007 10:09:38 -0500

Segher Boessenkool wrote:

> There *are* use cases for setting it statically in the DTS
> (bring up activities, ...) -- so please don't make it
> impossible to do so.

U-Boot has always updated the MAC address properties before booting 
Linux.  Therefore, you must be talking about a non-U-Boot scenerio.  If 
so, then I don't know what change I could make that would break this. 
If the [local-]mac-address property is in the DTS, then DTC will compile 
it and include it in the DTB.  That won't change.